<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Банк'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

include_once 'inc/start.php';
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){




$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo 'Привет, '.$user['nick'].'!<br/>';
echo 'У тебя есть <b>'.$user['balls'].'</b> баллов сайта!<br/>';
echo 'Поменять их на <b><font color="red">Монеты</font></b> по курсу 1 балл = 50 монет<br/>';
echo '<form action="by_money.php?action=change" method="post">';
echo 'Сколько баллов хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balls']<$num){echo 'У вас нет столько балов!';break;};
$balls=$num*50;
mysql_query("UPDATE `user` SET `balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `fish_u` SET `balls`=`balls`+'$balls' WHERE `id_u`='".$user['id']."' LIMIT 1");
echo 'Успешно!';
break;


};
echo '<div class="msg"><a href="index.php">В игру</a></div>';
}else{echo '<div class="msg">Игра недоступна!</div>';};

}else{
echo '<div class="msg">Игра доступена только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>